Package org.pushingpixels.substance.swingx

# Class SubstancePanelUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PanelUI
javax.swing.plaf.basic.BasicPanelUI
org.pushingpixels.substance.internal.ui.SubstancePanelUI
org.pushingpixels.substance.swingx.SubstancePanelUI

public class SubstancePanelUI extends org.pushingpixels.substance.internal.ui.SubstancePanelUI
Substance-consistent UI delegate for `JXPanel`.

## Constructor Summary

Constructors
Constructor
Description
`SubstancePanelUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
`protected boolean`
`toPaintBackground(JComponent c)`

### Methods inherited from class org.pushingpixels.substance.internal.ui.SubstancePanelUI

`installDefaults, update`

### Methods inherited from class javax.swing.plaf.basic.BasicPanelUI

`getBaseline, getBaselineResizeBehavior, installUI, uninstallDefaults, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, paint`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstancePanelUI

public SubstancePanelUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### toPaintBackground

protected boolean toPaintBackground(JComponent c)

Overrides:
  `toPaintBackground` in class `org.pushingpixels.substance.internal.ui.SubstancePanelUI`